package hmggirlfront.render.tile;


import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL12;

import hmggirlfront.block.tile.TileEntityHelpBuildingBase;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.RenderGlobal;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;
import objmodel.AdvancedModelLoader;
import objmodel.IModelCustom;

@SideOnly(Side.CLIENT)
public class TileRenderHelpBuildingBase extends TileEntitySpecialRenderer<TileEntityHelpBuildingBase>
{
    
    
    private ResourceLocation texture;
    private boolean field_147509_j;
    private static final String __OBFID = "CL_00000965";

    public TileRenderHelpBuildingBase()
    {
    }

    public void render(TileEntityHelpBuildingBase tile, double x, double y, double z, float partialTicks, int destroyStage, float alpha)
    {
    	Minecraft minecraft = Minecraft.getMinecraft();
    	
        GL11.glPushMatrix();
        GL11.glEnable(GL12.GL_RESCALE_NORMAL);
    //    GL11.glTranslatef((float)x + 0.5F, (float)y + 0F, (float)z + 0.5F);
    //    GL11.glRotatef(180.0F, 0.0F, 1.0F, 0.0F);
        {
        	GlStateManager.depthMask(false);
            GlStateManager.disableTexture2D();
            GlStateManager.disableLighting();
            GlStateManager.disableCull();
            GlStateManager.disableBlend();
            
            RenderGlobal.drawBoundingBox(x, 
            		y, 
            		z, 
            		x + tile.sizex, 
            		y + tile.sizey, 
            		z + tile.sizez, 
            		1.0F, 1.0F, 1.0F, 1.0F);
            
            GlStateManager.enableTexture2D();
            GlStateManager.enableLighting();
            GlStateManager.enableCull();
            GlStateManager.disableBlend();
            GlStateManager.depthMask(true);
        }
      
        GL11.glDisable(GL12.GL_RESCALE_NORMAL);
        GL11.glPopMatrix();
        
    }
}